package com.esignlive.guidance.forum;

import java.util.Date;
import java.util.List;

import com.silanis.esl.sdk.Document;
import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.Field;
import com.silanis.esl.sdk.FieldId;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.Signature;
import com.silanis.esl.sdk.SignatureId;

public class _04_15_get_list_enum_and_default_value {
	public static final String API_KEY = "your_api_key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";
	

	
	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		
		DocumentPackage package1 = eslClient.getPackage(new PackageId("3buZwoQveiVwOpRouAgTMCeegok="));
		Document document = package1.getDocument("your_document_name");	//use filter with document id
		
		for (Signature signature : document.getSignatures()) {
			if(signature.getId().equals(new SignatureId("00z4TVFI4rY0"))) {
				for (Field field : signature.getFields()) {
					if(field.getId().equals(new FieldId("nLmHtOaUli8T"))) {
						List<String> options = field.getFieldValidator().getOptions();
						System.out.println("all possible options:"+options);
						
						Date accepted = signature.getAccepted();
						if(accepted != null) {
							System.out.println("default value: " + field.getValue());
						}else {
							System.out.println("chosen value: " + field.getValue());
						}
					}
				}
			}
		}
		
		
	}

}
